<div class="test-run-card" ng-class="{
            '_single': $ctrl.singleMode,
            '_mobile': $ctrl.isMobile,
            '_details': $ctrl.singleWholeInfo,
            '_launch': $ctrl.testRun.status === 'LAUNCHING'
        }">
    <div ng-attr-id="testRun_{{$ctrl.testRun.id}}"
         ng-if="!$ctrl.isMobile"
         ng-class="{'background-gray': $ctrl.testRun.selected}"
         class="test-run-card__wrapper {{$ctrl.testRun.status}}">
        <div class="test-run-card__wrapper-left">
            <div ng-if="!$ctrl.singleMode" name="testRunStatus" class="test-run-card__cell _selection">
                <span ng-click="$ctrl.addToSelectedTestRuns()">
                    <md-checkbox name="testRunCheckbox"
                                 aria-label="Select"
                                 data-ng-model="$ctrl.testRun.selected"
                                 data-ng-if="$ctrl.testRun.selected || ($ctrl.testRun.status !== 'IN_PROGRESS' && $ctrl.testRun.status !== 'LAUNCHING')"
                                 data-ng-true-value="true"
                                 data-ng-false-value="false">
                    </md-checkbox>
                    <div class="test-run-card__progressbar" ng-if="!$ctrl.testRun.selected && ($ctrl.testRun.status === 'IN_PROGRESS' || $ctrl.testRun.status === 'LAUNCHING')" data-ng-click="$ctrl.testRun.selected = true">
                        <md-progress-circular md-diameter="20px"></md-progress-circular>
                        <timer countdown="$ctrl.testRun.countdown" eta="$ctrl.testRun.eta" interval="1000" ng-if="$ctrl.testRun.countdown">
                            <small>{{progressBar}}%</small>
                        </timer>
                    </div>
                </span>
            </div>
            <div name="testRunInfo" class="test-run-card__cell _info">
                <div class="test-run-card__title-wrapper">
                    <div class="test-run-card__title">
                        <span class="test-run-card__title-text">{{$ctrl.testRun.testSuite.name}}</span>
                        <button title="Copy to clipboard" class="test-run-card__copy" type="button" ng-click="$ctrl.copyTestRunTitle()">
                            <md-icon class="test-run-card__copy-icon material-icons">content_copy</md-icon>
                        </button>
                    </div>
                    <div class="test-run-card__title-additions">
                        <div data-ng-if="$ctrl.testRun.reviewed" class="test-run-card__state _badge _reviewed" title="REVIEWED">
                            <md-icon md-svg-icon="reviewed" class="material-icons icon"></md-icon>
                            <md-tooltip md-direction="right">Reviewed</md-tooltip>
                        </div>
                        <div data-ng-if="$ctrl.testRun.comments" class="test-run-card__state _comments">
                            <div data-ng-click="$ctrl.showCommentsDialog($event)" aria-label="Comments" aria-hidden="true" class="comments-area">
                                <md-icon md-svg-icon="comment" class="material-icons icon"></md-icon>
                            </div>
                            <md-tooltip md-direction="right">Comments</md-tooltip>
                        </div>
                    </div>
                </div>
                <div class="test-run-card__job">
                    <div class="test-run-card__special-label"
                         ng-if="$ctrl.specialLabel"
                         ng-mouseenter="$ctrl.isInfoVisible = true"
                         ng-mouseleave="$ctrl.isInfoVisible = false">
                        <info-popup info-obj="$ctrl.specialLabel" ng-if="$ctrl.specialLabel && $ctrl.isInfoVisible"></info-popup>
                    </div>
                    <div class="test-run-card__job-name" ng-if="$ctrl.testRun.status !== 'LAUNCHING'">
                        <a ng-if="$ctrl.testRun.jenkinsURL && $ctrl.testRun.job.name !== 'local'" href="{{$ctrl.testRun.jenkinsURL}}" target="_blank">{{$ctrl.testRun.job.name}}</a>
                        <span ng-if="!$ctrl.testRun.jenkinsURL || $ctrl.testRun.job.name === 'local'">{{$ctrl.testRun.job.name}}</span>
                    </div>
                    <div class="test-run-card__model" ng-if="$ctrl.testRun.status === 'LAUNCHING'">{{$ctrl.formattedModel}}</div>
                    <div class="test-run-card__locale" ng-if="$ctrl.testRun.config.locale">
                        <md-icon class="test-run-card__locale-icon material-icons">public</md-icon>
                        <span class="test-run-card__locale-text">{{ $ctrl.testRun.config.locale }}</span>
                    </div>
                    <div class="test-run-card__job-file" ng-if="$ctrl.testRun.config.appVersion">
                        <md-icon class="test-run-card__app-icon _file material-icons testrun-appversion-icon">insert_drive_file</md-icon>
                        <div class="test-run-card__app-name"
                             ng-mouseenter="$ctrl.isApiFileVisible = true"
                             ng-mouseleave="$ctrl.isApiFileVisible = false"
                             ng-click="$ctrl.isTablet && ($ctrl.isApiFileVisible = !$ctrl.isApiFileVisible)">
                             {{$ctrl.testRun.config.appVersionShort}}
                             <info-popup  info-str="$ctrl.testRun.config.appVersion" ng-if="$ctrl.testRun.config.appVersion && $ctrl.isApiFileVisible"></info-popup>
                        </div>
                    </div>
                </div>
                <div class="test-run-card__artifacts" ng-if="$ctrl.testRun.artifacts.length">
                    <a ng-repeat="artifact in $ctrl.testRun.artifacts"
                        href="{{artifact.value}}"
                        download
                        target="_blank"
                        aria-label="Test Run artifact"
                        class="test-run-card__artifact">
                        <md-icon md-font-library="material-icons" ng-if="!artifact.extension" class="material-icons">link</md-icon>
                        <span ng-mouseenter="artifact.isVisible = true"
                              ng-mouseleave="artifact.isVisible = false">
                              {{artifact.shortName || artifact.name}}
                            <info-popup info-str="artifact.name" ng-if="artifact.shortName && artifact.isVisible"></info-popup>
                        </span>
                    </a>
                </div>
            </div>
            <a class="test-run-card__clickable"
                ng-class="{ '_highlighting': $ctrl.testRun.highlighting }"
                ng-if="$ctrl.testRun.status !== 'LAUNCHING'"
                ui-state="'tests.runDetails'"
                ui-state-params="$ctrl.goToTestRunParams"></a>
        </div>
        <div class="test-run-card__wrapper-right" ng-if="$ctrl.testRun.status !== 'LAUNCHING'">
            <div name="testRunEnv" class="test-run-card__cell _env">
                <span class="label label-default" ng-if="$ctrl.testRun.config.env">{{$ctrl.testRun.config.env}}</span>
            </div>
            <div name="testRunPlatform" class="test-run-card__cell _platform">
                <div class="test-run-card__platform-wrapper">
                    <span ng-if="$ctrl.testRun.platformIcon" class="platform-icon {{$ctrl.testRun.platformIcon}}"></span>
                    <span ng-if="$ctrl.testRun.platformVersion" class="label label-default" title="{{$ctrl.testRun.platformVersion}}">{{$ctrl.testRun.platformVersion}}</span>
                </div>
            </div>
            <div name="testRunStatistics" class="test-run-card__cell _statistics fixed-testcount-column">
                <span title="Passed" class="label arrowed arrowed-in-right label-success-border" data-ng-class="$ctrl.testRun.passed ? 'label-success' : 'label-success-empty'">{{$ctrl.testRun.passed}}</span>
                <span title="Failed | Known issues" class="label arrowed arrowed-in-right label-danger-border"
                    data-ng-class="$ctrl.testRun.failed ? 'label-danger' : 'label-danger-empty'">{{$ctrl.testRun.failed}}<span
                        class="delimiter">|</span>{{$ctrl.testRun.failedAsKnown}}</span>
                <span title="Skipped" class="label arrowed arrowed-in-right label-warning-border" data-ng-class="$ctrl.testRun.skipped ? 'label-warning' : 'label-warning-empty'">{{$ctrl.testRun.skipped}}</span>
                <span title="Aborted" data-ng-if="$ctrl.testRun.aborted" class="label arrowed arrowed-in-right label-aborted-border"
                    data-ng-class="$ctrl.testRun.aborted ? 'label-aborted-bg' : 'label-aborted-empty'">{{$ctrl.testRun.aborted}}</span>
                <span title="In Progress" data-ng-if="$ctrl.testRun.inProgress" class="label arrowed arrowed-in-right label-info-border"
                    data-ng-class="$ctrl.testRun.inProgress ? 'label-info' : 'label-info-empty'">{{$ctrl.testRun.inProgress}}</span>
            </div>
            <div name="testRunStarted" class="test-run-card__cell _date startedat-column">
                <div class="time">
                    <span data-ng-if="$ctrl.testRun.status !== 'ABORTED'">Started</span>
                    <span data-ng-if="$ctrl.testRun.status === 'ABORTED'">Aborted</span>
                    <time am-time-ago="$ctrl.testRun.startedAt" title="{{ $ctrl.testRun.startedAt | amDateFormat: 'dddd, MMMM Do YYYY, h:mm a' }}"></time>
                </div>
                <div data-ng-if="$ctrl.testRun.elapsed >= 0" class="test-run-card__time light_text">
                    <i class="test-run-card__time-icon material-icons" aria-hidden="true">timer</i>
                    <duration class="test-run-card__time-text"
                        duration-in-seconds="$ctrl.testRun.elapsed">
                        <span ng-show="minutes">{{minutes}}m</span> <span ng-show="seconds">{{seconds}}s</span><span ng-show="!minutes && !seconds">&lt;1s</span>
                    </duration>
                </div>
            </div>
            <div class="test-run-card__cell _menu">
                <md-menu class="pull-right" md-offset="0 {{$ctrl.currentOffset}}">
                    <md-button name="testRunSetting" aria-label="User settings" class="md-icon-button" ng-click="$ctrl.openMenu($event, $mdMenu)">
                        <md-icon class="material-icons">more_vert</md-icon>
                    </md-button>
                    <md-menu-content width="2" class="fixed-md-menu-content">
                        <md-menu-item ng-if="!$ctrl.singleMode">
                            <md-button name="open" data-ng-click="$ctrl.openTestRun()">
                                Open in new tab
                            </md-button>
                        </md-menu-item>
                        <md-menu-item>
                            <md-button name="copyLink" data-ng-click="$ctrl.copyLink($ctrl.testRun)">
                                Copy link
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.testRun.hasArtifacts">
                            <md-button name="copyLink" data-ng-click="$ctrl.testRun.downloadArtifacts()">
                                Download artifacts
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:update']) && ($ctrl.testRun.status !== 'IN_PROGRESS')">
                            <md-button name="markAsReviewed" data-ng-click="$ctrl.markAsReviewed()">
                                Mark as reviewed
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.testRun.status != 'IN_PROGRESS'">
                            <md-button name="sendAsEmail" data-ng-click="$ctrl.sendAsEmail($event)">
                                Send as email
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.testRun.status != 'IN_PROGRESS'">
                            <md-button name="export" data-ng-click="$ctrl.exportTestRun()">
                                Export to HTML
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:update']) && $ctrl.showNotificationOption">
                            <md-button name="sendNotification" data-ng-click="$ctrl.sendNotification()">
                                Send notification
                            </md-button>
                        </md-menu-item>
                        <md-divider ng-if="$ctrl.isButtonVisible('buildNow') || $ctrl.isButtonVisible('abort') || $ctrl.isButtonVisible('rebuild')"></md-divider>
                        <md-menu-item ng-if="$ctrl.isButtonVisible('buildNow')">
                            <md-button name="buildNow" data-ng-click="$ctrl.buildNow($event)">
                                Build now
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.isButtonVisible('abort')">
                            <md-button name="abort" data-ng-click="$ctrl.abort()">
                                Abort
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:update']) && $ctrl.isButtonVisible('rebuild')">
                            <md-button name="rebuild" data-ng-click="$ctrl.rerun($event)">
                                Rerun
                            </md-button>
                        </md-menu-item>
                        <md-divider ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:delete'])"></md-divider>
                        <md-menu-item ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:delete'])">
                            <md-button name="delete" data-ng-click="$ctrl.onTestRunDelete()" class="_red">
                                Delete
                            </md-button>
                        </md-menu-item>
                    </md-menu-content>
                </md-menu>
            </div>
        </div>
    </div>

    <!--MOBILE VERSION-->
    <div ng-attr-id="testRun_{{$ctrl.testRun.id}}"
         ng-class="{'background-gray': $ctrl.testRun.selected}"
         ng-if="$ctrl.isMobile"
         class="test-run-card__wrapper {{$ctrl.testRun.status}}">
        <div class="test-run-card__row _top">
            <div ng-if="!$ctrl.singleMode" name="testRunStatus" class="test-run-card__cell _selection">
                <span ng-click="$ctrl.addToSelectedTestRuns()">
                    <md-checkbox name="testRunCheckbox" aria-label="Select" data-ng-model="$ctrl.testRun.selected"
                                 data-ng-if="$ctrl.testRun.selected || ($ctrl.testRun.status !== 'IN_PROGRESS' && $ctrl.testRun.status !== 'LAUNCHING')"
                                 data-ng-true-value="true" data-ng-false-value="false">
                    </md-checkbox>
                    <div class="test-run-card__progressbar" ng-if="!$ctrl.testRun.selected && ($ctrl.testRun.status === 'IN_PROGRESS' || $ctrl.testRun.status === 'LAUNCHING')" data-ng-click="$ctrl.testRun.selected = true">
                        <md-progress-circular md-diameter="20px"></md-progress-circular>
                        <timer countdown="$ctrl.testRun.countdown" eta="$ctrl.testRun.eta" interval="1000" ng-if="$ctrl.testRun.countdown">
                            <small>{{progressBar}}%</small>
                        </timer>
                    </div>
                </span>
            </div>
            <md-button class="md-icon-button test-run-card__back-btn"
                ng-if="$ctrl.singleMode"
                ui-state="'tests.runs'"
                ui-state-params="$ctrl.goToTestRunParams">
                <md-icon class="material-icons">arrow_back</md-icon>
            </md-button>
            <div name="testRunInfo" class="test-run-card__cell _info">
                <div class="test-run-card__title">
                    {{$ctrl.testRun.testSuite.name}}
                    <md-tooltip md-direction="right">{{$ctrl.testRun.testSuite.fileName}}</md-tooltip>
                </div>
                <div class="test-run-card__model" ng-if="$ctrl.testRun.status === 'LAUNCHING'">{{$ctrl.formattedModel}}</div>
                <div class="test-run-card__jenkins">
                    <a ng-if="$ctrl.testRun.jenkinsURL && $ctrl.testRun.job.name !== 'local'" href="{{$ctrl.testRun.jenkinsURL}}" target="_blank">{{$ctrl.testRun.job.name}}</a>
                    <span ng-if="!$ctrl.testRun.jenkinsURL || $ctrl.testRun.job.name === 'local'">{{$ctrl.testRun.job.name}}</span>
                </div>
            </div>
            <div class="test-run-card__cell _actions" ng-if="$ctrl.testRun.status !== 'LAUNCHING'">
                <md-menu md-offset="0 {{$ctrl.currentOffset}}">
                    <md-button name="testRunSetting" aria-label="User settings" class="md-icon-button test-run-card__menu-btn" ng-click="$ctrl.openMenu($event, $mdMenu)">
                        <md-icon class="material-icons">more_vert</md-icon>
                    </md-button>
                    <md-menu-content width="2" class="fixed-md-menu-content">
                        <md-menu-item ng-if="!$ctrl.singleMode">
                            <md-button name="open" data-ng-click="$ctrl.openTestRun()">
                                Open in new tab
                            </md-button>
                        </md-menu-item>
                        <md-menu-item>
                            <md-button name="copyLink" data-ng-click="$ctrl.copyLink($ctrl.testRun)">
                                Copy link
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.testRun.hasArtifacts">
                            <md-button name="copyLink" data-ng-click="$ctrl.testRun.downloadArtifacts()">
                                Download artifacts
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:update']) && ($ctrl.testRun.status !== 'IN_PROGRESS')">
                            <md-button name="markAsReviewed" data-ng-click="$ctrl.markAsReviewed()">
                                Mark as reviewed
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.testRun.status != 'IN_PROGRESS'">
                            <md-button name="sendAsEmail" data-ng-click="$ctrl.sendAsEmail($event)">
                                Send as email
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.testRun.status != 'IN_PROGRESS'">
                            <md-button name="export" data-ng-click="$ctrl.exportTestRun()">
                                Export to HTML
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:update']) && $ctrl.showNotificationOption">
                            <md-button name="sendNotification" data-ng-click="$ctrl.sendNotification()">
                                Send notification
                            </md-button>
                        </md-menu-item>
                        <md-divider ng-if="$ctrl.isButtonVisible('buildNow') || $ctrl.isButtonVisible('abort') || $ctrl.isButtonVisible('rebuild')"></md-divider>
                        <md-menu-item ng-if="$ctrl.isButtonVisible('buildNow')">
                            <md-button name="buildNow" data-ng-click="$ctrl.buildNow($event)">
                                Build now
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.isButtonVisible('abort')">
                            <md-button name="abort" data-ng-click="$ctrl.abort()">
                                Abort
                            </md-button>
                        </md-menu-item>
                        <md-menu-item ng-if="$ctrl.isButtonVisible('rebuild')">
                            <md-button name="rebuild" data-ng-click="$ctrl.rerun($event)">
                                Rerun
                            </md-button>
                        </md-menu-item>
                        <md-divider ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:delete'])"></md-divider>
                        <md-menu-item ng-if="$ctrl.userHasAnyPermission(['reporting:test-runs:delete'])">
                            <md-button name="delete" data-ng-click="$ctrl.onTestRunDelete()" class="_red">
                                Delete
                            </md-button>
                        </md-menu-item>
                    </md-menu-content>
                </md-menu>
            </div>
            <a class="test-run-card__clickable"
                ng-class="{ '_highlighting': $ctrl.testRun.highlighting }"
                ng-if="$ctrl.testRun.status !== 'LAUNCHING'"
                ui-state="'tests.runDetails'"
                ui-state-params="$ctrl.goToTestRunParams"></a>
        </div>

        <div class="test-run-card__row _wrapper _middle" ng-if="$ctrl.testRun.status !== 'LAUNCHING'">
            <div class="test-run-card__row _app-file" ng-if="$ctrl.testRun.config.appVersion || $ctrl.testRun.config.locale">
                <div class="test-run-card__locale" ng-if="$ctrl.testRun.config.locale">
                    <md-icon class="test-run-card__locale-icon material-icons">public</md-icon>
                    <span class="test-run-card__locale-text">{{ $ctrl.testRun.config.locale }}</span>
                </div>
                <div class="test-run-card__job-file" ng-if="$ctrl.testRun.config.appVersion">
                    <md-icon class="test-run-card__app-icon _file material-icons testrun-appversion-icon">insert_drive_file</md-icon>
                    <div class="test-run-card__app-name"
                         ng-click="$ctrl.isApiFileVisible = !$ctrl.isApiFileVisible">
                        {{$ctrl.testRun.config.appVersionShort}}
                        <info-popup info-str="$ctrl.testRun.config.appVersion" ng-if="$ctrl.testRun.config.appVersion && $ctrl.isApiFileVisible"></info-popup>
                    </div>
                </div>
            </div>
            <div class="test-run-card__row _artifacts  test-run-card__artifacts" ng-if="$ctrl.testRun.artifacts.length">
                <a ng-repeat="artifact in $ctrl.testRun.artifacts"
                    href="{{artifact.value}}"
                    target="_blank"
                    aria-label="Test Run artifact"
                    class="test-run-card__artifact">
                    <md-icon md-font-library="material-icons" ng-if="!artifact.extension" class="material-icons">link</md-icon>
                    <span>{{artifact.shortName || artifact.name}}</span>
                </a>
            </div>
            <div class="test-run-card__row _tags">
                <div name="testRunEnv" class="test-run-card__cell _env" ng-if="$ctrl.testRun.config.env">
                    <span class="label label-default">{{$ctrl.testRun.config.env}}</span>
                </div>
                <div name="testRunPlatform" class="test-run-card__cell _platform no-padding browser-version_column"
                     ng-if="$ctrl.testRun.platformIcon || $ctrl.testRun.platformVersion">
                    <span ng-if="$ctrl.testRun.platformIcon" class="platform-icon {{$ctrl.testRun.platformIcon}}"></span>
                    <span ng-if="$ctrl.testRun.platformVersion" class="label label-default">{{$ctrl.testRun.platformVersion}}</span>
                </div>
            </div>
            <div class="test-run-card__row _data">
                <div name="testRunStatistics" class="test-run-card__cell _statistics">
                    <span title="Passed" class="label arrowed arrowed-in-right label-success-border" data-ng-class="$ctrl.testRun.passed ? 'label-success' : 'label-success-empty'">{{$ctrl.testRun.passed}}</span>
                    <span title="Failed | Known issues" class="label arrowed arrowed-in-right label-danger-border"
                          data-ng-class="$ctrl.testRun.failed ? 'label-danger' : 'label-danger-empty'">{{$ctrl.testRun.failed}}<span
                        class="delimiter"> | </span>{{$ctrl.testRun.failedAsKnown}}</span>
                    <span title="Skipped" class="label arrowed arrowed-in-right label-warning-border" data-ng-class="$ctrl.testRun.skipped ? 'label-warning' : 'label-warning-empty'">{{$ctrl.testRun.skipped}}</span>
                    <span title="Aborted" data-ng-if="$ctrl.testRun.aborted" class="label arrowed arrowed-in-right label-aborted-border"
                          data-ng-class="$ctrl.testRun.aborted ? 'label-aborted-bg' : 'label-aborted-empty'">{{$ctrl.testRun.aborted}}</span>
                    <span title="In Progress" data-ng-if="$ctrl.testRun.inProgress" class="label arrowed arrowed-in-right label-info-border"
                          data-ng-class="$ctrl.testRun.inProgress ? 'label-info' : 'label-info-empty'">{{$ctrl.testRun.inProgress}}</span>
                </div>
                <div name="testRunStarted" class="test-run-card__cell _date">
                    <div class="test-run-card__time _light">
                        <i data-ng-if="$ctrl.testRun.status !== 'ABORTED'" class="test-run-card__time-icon material-icons" aria-hidden="true">play_circle_filled</i>
                        <i data-ng-if="$ctrl.testRun.status === 'ABORTED'" class="test-run-card__time-icon fa fa-ban" aria-hidden="true"></i>
                        <time class="test-run-card__time-text"
                              am-time-ago="$ctrl.testRun.startedAt"
                              title="{{ $ctrl.testRun.startedAt | amDateFormat: 'dddd, MMMM Do YYYY, h:mm a' }}"></time>
                    </div>
                    <div data-ng-if="$ctrl.testRun.elapsed >= 0" class="test-run-card__time _light">
                        <i class="test-run-card__time-icon material-icons" aria-hidden="true">timer</i>
                        <duration class="test-run-card__time-text"
                            duration-in-seconds="$ctrl.testRun.elapsed">
                            <span ng-show="minutes">{{minutes}}m</span> <span ng-show="seconds">{{seconds}}s</span><span ng-show="!minutes && !seconds">&lt;1s</span>
                        </duration>
                    </div>
                </div>
            </div>
            <div class="test-run-card__row _additional" ng-if="$ctrl.singleMode || $ctrl.testRun.comments || $ctrl.testRun.reviewed">
                <div data-ng-if="$ctrl.testRun.reviewed" class="test-run-card__state _badge _reviewed" title="REVIEWED">
                    <md-icon md-svg-icon="reviewed" class="material-icons icon"></md-icon>
                    <md-tooltip md-direction="right">Reviewed</md-tooltip>
                </div>
                <div data-ng-if="$ctrl.testRun.comments" class="test-run-card__state _comments">
                    <div data-ng-click="$ctrl.showCommentsDialog($event)" aria-label="Comments" aria-hidden="true" class="comments-area">
                        <md-icon md-svg-icon="comment" class="material-icons icon"></md-icon>
                    </div>
                    <md-tooltip md-direction="right">Comments</md-tooltip>
                </div>
            </div>
        </div>
        <button class="test-run-card__show-more" ng-if="$ctrl.singleMode" ng-click="$ctrl.showDetails(true)">
            <i class="material-icons">
            keyboard_arrow_down
            </i>
        </button>
    </div>
</div>
